#
# Conditional build:
%bcond_without	doc	# HTML documentation build
%bcond_without	python2 # CPython 2.x module
%bcond_without	python3 # CPython 3.x module

%define		pylib_version	1.4.29
%define 	module	pytest
Summary:	Simple and popular testing tool for Python
Summary(pl.UTF-8):	Proste i popularne narzędzie testujące dla Pythona
Name:		python-%{module}
Version:	3.0.7
Release:	1
License:	MIT
Group:		Development/Languages/Python
#Source0Download: https://pypi.python.org/simple/pytest
Source0:	https://files.pythonhosted.org/packages/source/p/pytest/pytest-%{version}.tar.gz
# Source0-md5:	89c60546507dc7eb6e9e40a6e9f720bd
URL:		http://pytest.org/
%if %{with python2}
BuildRequires:	python-devel >= 1:2.6
BuildRequires:	python-modules >= 1:2.6
BuildRequires:	python-py >= %{pylib_version}
BuildRequires:	python-setuptools >= 7.0
%endif
%if %{with python3}
BuildRequires:	python3-devel >= 1:3.3
BuildRequires:	python3-modules >= 1:3.3
BuildRequires:	python3-py >= %{pylib_version}
BuildRequires:	python3-setuptools >= 7.0
%endif
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
BuildRequires:	sed >= 4.0
%if %{with doc}
BuildRequires:	sphinx-pdg >= 1.0
%endif
Requires:	python-setuptools
Obsoletes:	python-pytest-cache
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
py.test is a simple and popular testing tool for Python.

%description -l pl.UTF-8
py.test to proste i popularne narzędzie testujące dla Pythona.

%package -n python3-pytest
Summary:	Simple powerful testing with Python
Summary(pl.UTF-8):	Proste, ale funkcjonalne narzędzie testujące dla Pythona
Group:		Development/Languages
Requires:	python3-setuptools
Obsoletes:	python3-pytest-cache

%description -n python3-pytest
py.test provides simple, yet powerful testing for Python.

%description -n python3-pytest -l pl.UTF-8
py.test to proste, ale bardzo funkcjonalne narzędzie testujące dla
Pythona.

%package apidocs
Summary:	Documentation for py.test Pythona package
Summary(pl.UTF-8):	Dokumentacja pakietu Pythona py.test
Group:		Documentation

%description apidocs
Documentation for py.test Pythona package.

%description apidocs -l pl.UTF-8
Dokumentacja pakietu Pythona py.test.

%prep
%setup -q -n %{module}-%{version}

%build
%if %{with python2}
%py_build
%endif

%if %{with python3}
%py3_build
%endif

%if %{with doc}
install -d _htmldocs/html
for l in doc/*; do
	PYTHONPATH=$(pwd) \
	%{__make} -C $l html
	# remove hidden file
	%{__rm} $l/_build/html/.buildinfo
	%{__mv} $l/_build/html _htmldocs/html/${l##doc/}
done
%endif

%install
rm -rf $RPM_BUILD_ROOT

%if %{with python3}
%py3_install

%{__mv} $RPM_BUILD_ROOT%{_bindir}/py.test{,-3}
%{__mv} $RPM_BUILD_ROOT%{_bindir}/pytest{,-3}
%endif

%if %{with python2}
%py_install

ln $RPM_BUILD_ROOT%{_bindir}/py.test{,-2}
ln $RPM_BUILD_ROOT%{_bindir}/pytest{,-2}

# pytest.py source seems required for "monkeypatching" tests
%py_postclean -x pytest.py
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%files
%defattr(644,root,root,755)
%doc AUTHORS CHANGELOG.rst LICENSE README.rst
%attr(755,root,root) %{_bindir}/py.test
%attr(755,root,root) %{_bindir}/py.test-2
%attr(755,root,root) %{_bindir}/pytest
%attr(755,root,root) %{_bindir}/pytest-2
%{py_sitescriptdir}/pytest.py*
%{py_sitescriptdir}/_pytest
%{py_sitescriptdir}/pytest-%{version}-py*.egg-info
%endif

%if %{with python3}
%files -n python3-pytest
%defattr(644,root,root,755)
%doc AUTHORS CHANGELOG.rst LICENSE README.rst
%attr(755,root,root) %{_bindir}/py.test-3
%attr(755,root,root) %{_bindir}/pytest-3
%{py3_sitescriptdir}/pytest.py
%{py3_sitescriptdir}/_pytest
%{py3_sitescriptdir}/__pycache__/pytest.*.py[co]
%{py3_sitescriptdir}/pytest-%{version}-py*.egg-info
%endif

%if %{with doc}
%files apidocs
%defattr(644,root,root,755)
%doc _htmldocs/html
%endif
%changelog
* Sun Apr 02 2017 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-pytest.git;a=log;h=master

* Fri Mar 17 2017 Jakub Bogusz <qboosh@pld-linux.org> 84b7690
- updated 3.0.7
- py.test-PY_VER entry points no longer supported; added *-{2,3} suffixes instead
- require setuptools (pkg_resources required for startup scripts)

* Sun Mar 12 2017 Jakub Bogusz <qboosh@pld-linux.org> fd6ab04
- obsolete pytest-cache module

* Mon Mar 06 2017 Jakub Bogusz <qboosh@pld-linux.org> 08c08cc
- pytest.py seems required for some tests; release 2

* Sun Mar 05 2017 Jakub Bogusz <qboosh@pld-linux.org> c459450
- updated to 2.9.2
- separated -apidocs instead of including over 4MB of docs in both python packages

* Wed Dec 28 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> d7af6e0
- python3.6
- release 2 (by relup.sh)

* Thu May 12 2016 Jakub Bogusz <qboosh@pld-linux.org> c645148
- updated to 2.9.1

* Sun Feb 28 2016 Jakub Bogusz <qboosh@pld-linux.org> 8246eb6
- updated to 2.8.7

* Mon Nov 30 2015 Jacek Konieczny <jajcus@jajcus.net> d939c52
- Version: 2.8.2

* Sun Nov 29 2015 Jacek Konieczny <jajcus@jajcus.net> 2543e8f
- BR: rpmbuild(macros) >= 1.710

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> d714428
- release 3 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> ac22139
- semi-automatic change: use py_build/py_install macros

* Mon Sep 14 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 9b4bb3c
- release 2 (by relup.sh)

* Thu Jun 18 2015 Jakub Bogusz <qboosh@pld-linux.org> 93a8715
- updated python versions, noted download URL

* Fri Jun 12 2015 Jacek Konieczny <j.konieczny@eggsoft.pl> 2f6fd58
- Version: 2.7.1

* Tue Dec 16 2014 Jakub Bogusz <qboosh@pld-linux.org> 7cf8827
- updated to 2.6.4

* Sun Oct 19 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 3f93677
- python 3.4
- release 2 (by relup.sh)

* Sun Mar 17 2013 Jakub Bogusz <qboosh@pld-linux.org> 6b84709
- pl for python3-; setuptools in optional at runtime

* Sat Mar 16 2013 Elan Ruusamäe <glen@delfi.ee> e498323
- up to 2.3.4, add python3 package

* Sat Sep 01 2012 Jakub Bogusz <qboosh@pld-linux.org> bd57157
- new

